
uniform lowp sampler2D texture0;
uniform lowp sampler2D texture1;
uniform lowp float factor;
uniform lowp float grayFactor;
varying mediump vec2 vCoord0;
void main()  
{  
     lowp vec4 color1 = texture2D(texture0, vCoord0);  
     lowp vec4 color2 = texture2D(texture1, vCoord0);  
       
     lowp vec4 blended = mix(color1, color2, factor);  
     lowp float gray = dot(blended.rgb, vec3(0.2125, 0.7154, 0.0721));  
       
     lowp float gamma = 1.0 / mix(1.0, 0.8, grayFactor);  
       
     lowp vec4 graycol = vec4(vec3(1.0, 0.7, 0.7) * gray, 1.0);  
       
     lowp vec4 Color;  
     Color.rgb = mix(blended.rgb, graycol.rgb, grayFactor);  
       
     Color.rgb = pow(Color.rgb, vec3(gamma));  
     Color.a = 1.0;  
       
    gl_FragColor = Color;  
}