
attribute highp   vec4 Vertex;
attribute mediump vec2 TexCoord0;
uniform   highp   mat4 WorldViewProjectionMatrix;
uniform   highp   float blurOffsetX;
uniform   highp   float blurOffsetY;
varying mediump vec2 vCoord0;
varying mediump vec2 vCoord1;
varying mediump vec2 vCoord2;
varying mediump vec2 vCoord3;
varying mediump vec2 vCoord4;
varying mediump vec2 vCoord5;
varying mediump vec2 vCoord6;
varying mediump vec2 vCoord7;
varying mediump vec2 vCoord8;
void main(void)
{
	mediump vec2 uv = TexCoord0;
	vCoord0 = uv;
	
	vCoord1 = uv + vec2(blurOffsetX, blurOffsetY);
	vCoord2 = uv + vec2(blurOffsetX, -blurOffsetY);
	vCoord3 = uv + vec2(-blurOffsetX, blurOffsetY);
	vCoord4 = uv + vec2(-blurOffsetX, -blurOffsetY);
	
	float blurOffsetX2 = 2.0*blurOffsetX;
	float blurOffsetY2 = 2.0*blurOffsetY;
	vCoord5 = uv + vec2(blurOffsetX2, blurOffsetY2);
	vCoord6 = uv + vec2(blurOffsetX2, -blurOffsetY2);
	vCoord7 = uv + vec2(-blurOffsetX2, blurOffsetY2);
	vCoord8 = uv + vec2(-blurOffsetX2, -blurOffsetY2);
	
	gl_Position = WorldViewProjectionMatrix * Vertex;
}