
uniform lowp sampler2D texture0;
uniform lowp sampler2D ColorGradingSampler;
varying mediump vec2 vCoord0;
const lowp float r_scale = 0.94;
const lowp float r_off = 0.001875;	
void main()
{
    highp vec4 color = texture2D(texture0, vCoord0);
    highp float r = color.r * 0.0625;
	highp float g = color.g;
	highp float b = floor(color.b * 15.99) * 0.0625;
    highp float u = r * r_scale + r_off + b;
    highp float v = g;
    lowp vec4  Complete = texture2D(ColorGradingSampler, vec2(u, v));
    gl_FragColor = Complete;
}