uniform lowp sampler2D TextureSampler;
uniform lowp vec4 DiffuseColor;
uniform lowp mat4 ColorMatrix;
uniform lowp vec4 ColorMatrix2;

varying highp vec2 vTexCoord0;
varying lowp vec4 vColor0;

void main()
{
	gl_FragColor = ColorMatrix * texture2D(TextureSampler, vTexCoord0,-8.0) + ColorMatrix2;
}
