attribute highp vec4 Position;
attribute lowp vec4 Color0;

attribute mediump vec2 TexCoord0;
varying mediump vec2 vTexCoord0;
varying mediump vec2 vTexCoord1;

uniform highp mat4 WorldViewProjectionMatrix;
uniform highp mat4 UVMatrix;

varying lowp vec4 vColor0;

void main(void)
{
	gl_Position = WorldViewProjectionMatrix * Position;

	vColor0 = Color0;
	
	vTexCoord0 = TexCoord0;
	vTexCoord1 = (UVMatrix * vec4(TexCoord0.x, TexCoord0.y, 0.0, 1.0)).xy;
}
