
attribute highp   vec4 Vertex;
attribute mediump vec2 TexCoord0;
uniform		highp		mat4	WorldViewProjectionMatrix;
uniform		highp		float	time;
uniform		mediump		vec2	BumpScroll1;
uniform		mediump		vec2	BumpScroll2;
uniform		mediump		vec2	BumpScale1;
uniform		mediump		vec2	BumpScale2;
varying mediump vec2 vCoord0;
varying mediump vec2 vCoord1;
varying mediump vec2 vCoord2;
void main(void)
{
	vCoord0 = TexCoord0;
	
	highp float t = time * 0.1;
	vCoord1 = (TexCoord0 * BumpScale1) + (t * BumpScroll1);
	vCoord2 = (TexCoord0 * BumpScale2) + (t * BumpScroll2);
	gl_Position = WorldViewProjectionMatrix * Vertex;
}