
attribute 	highp	vec4 	Position;
attribute 	mediump	vec2 	TexCoord0;
#ifdef STONE_MIX
attribute 	mediump	vec2 	TexCoord1;
#endif
#ifdef USE_VCOLOR
	attribute lowp vec3 Color;
#endif
#if defined(USE_REFLECTION) || defined(USE_LIGHT)
	attribute highp vec3 Normal;
#endif
uniform 	highp	mat4	WorldViewProjection;
uniform 	highp 	mat4 	matworld;
varying		mediump	vec2 	vCoord0;
#ifdef USE_VCOLOR
	varying		lowp	vec3	vColor;
#endif
#ifdef STONE_MIX
	varying		mediump	vec2 	vCoord1;
#endif
#if defined(USE_REFLECTION) || defined(USE_LIGHT)
	
	varying mediump vec3 vertex_world_normal;
	varying highp 	vec3 vertex_world_pos;
#endif
void main()
{
#ifdef USE_VCOLOR
	vColor			= Color;
#endif
#if defined(USE_REFLECTION) || defined(USE_LIGHT)
	vertex_world_normal = (( matworld ) * vec4(Normal,0.0)).xyz;
	vertex_world_pos = (( matworld ) * Position).xyz;
#endif
	vCoord0 		= TexCoord0;
#ifdef STONE_MIX
	vCoord1			= TexCoord1;
#endif
	gl_Position		= WorldViewProjection * Position;
}