
attribute highp   vec4 Vertex;
uniform highp mat4 WorldViewProjectionMatrix;
uniform highp mat4 MatViewProjection;
uniform highp mat4 MatWorld;
void main(void)
{
	
	highp vec3 world_pos = (MatWorld * Vertex).xyz;
	highp vec3 ld = normalize(vec3(-0.5,-1.0,1.0));
	world_pos = world_pos - ld * (world_pos.z / ld.z);
	world_pos.z += 0.5;
	gl_Position = ( MatViewProjection ) * vec4(world_pos,1.0);
}