
uniform lowp    sampler2D texture0;
uniform lowp    sampler2D textureN;
varying mediump vec2 vCoord;
varying mediump vec2 vCoord2;
uniform mediump float intensity;
void main()
{
	mediump vec4 normal = texture2D(textureN, vCoord2);
	
	normal = 2.0 * normal - 1.0;
	lowp vec4 color0 = texture2D(texture0, vCoord);
	lowp vec4 color1 = texture2D(texture0, vCoord - normal.xy * intensity);
	lowp vec4 color2 = texture2D(texture0, vCoord - normal.xy * intensity);
	lowp vec4 color3 = texture2D(texture0, vCoord - normal.xy * intensity);
	gl_FragColor = (color1 + color2 + color2 + color3) * 0.25;
}