
attribute 	highp	vec4 	Position;
uniform 	highp	mat4	WorldViewProjection;
varying		mediump	vec2 	vCoord0;

mediump vec2 unpackTexCoord(highp float f)
{
	highp float fFrac = fract(f);
	return vec2( (f-fFrac)/1000.0, fFrac);
}
lowp vec3 lerpColor(lowp vec3 a,lowp vec3 b,lowp float f)
{
	return a + (b - a) * f;
}

void main()
{
	gl_Position		= WorldViewProjection * /*Position;/*/ vec4(Position.xyz,1.0);/**/
	
	vCoord0 		= /*TexCoord0;/*/unpackTexCoord(Position.w);/**/
	
}