
#ifdef WITH_TEXTURE
uniform lowp sampler2D input_texture;
#endif
varying mediump vec2 vTexCoord0;
uniform mediump vec3 color_mask;
void main()
{
#ifdef WITH_TEXTURE
	highp float the_circle = texture2D(input_texture, vTexCoord0).r;
	gl_FragColor = vec4(color_mask,the_circle);
#else
	gl_FragColor = vec4(color_mask,1.0);
#endif
}