
uniform lowp sampler2D input_texture;
varying mediump vec2 vTexCoord0;
uniform mediump vec3 color_mask;
void main()
{
	lowp vec4 color = texture2D(input_texture, vTexCoord0);
	
	mediump float gray = color.r * (1.0 - color.g) + color.g;
#ifdef NOBLACK
	mediump float c = (gray + 1.0 ) / 2.0;
#else
	mediump float c = (gray + color.b + 0.2) / 2.0;
#endif
	
	c = color_mask.x * c + color_mask.y;
	gl_FragColor = vec4(vec3(c),1.0);
}