
uniform lowp sampler2D sampler0;
uniform highp float alpharef;
varying mediump vec2 vTexCoord0;
void main()
{
	lowp vec4 color = texture2D(sampler0, vTexCoord0);
	lowp float factor = 1.0;
#ifdef INCFACTOR
	factor = factor + 0.2;
#endif
	gl_FragColor = vec4((color * factor).xyz, alpharef);
}