
#define VERTEX_TEX_COORD
attribute 	highp	vec4 	Position;
attribute 	lowp	vec4 	Color;
attribute 	highp	vec2 	TexCoord0;
uniform 	highp	mat4	WorldViewProjection;
#ifdef VERTEX_TEX_COORD
uniform		highp	float	WaterOffsetU;
uniform		highp	float	WaterOffsetV;
#endif
varying		lowp	vec4	vColor;
varying		mediump	vec2 	vCoord0;
#ifdef USE_FOW
uniform 	highp	mat4	World;
#endif
void main()
{
	vColor			= Color;
#ifdef VERTEX_TEX_COORD
	vCoord0 		= TexCoord0 + vec2(WaterOffsetU, WaterOffsetV);
#else
	vCoord0 		= TexCoord0;
#endif
	gl_Position		= WorldViewProjection * Position;
#ifdef USE_FOW
#endif
}