

#ifndef _VERTEX_BASICS
#define _VERTEX_BASICS
attribute 	highp	vec4 	Position;

#ifndef _MATRIXV
#define _MATRIXV
uniform 	highp	mat4	WorldViewProjection;
uniform 	highp	mat4	WorldViewTransposed;
uniform		highp	mat4	matworld;
#endif

void		setWVP()
{
	gl_Position	= WorldViewProjection * Position;
}
highp vec4	getWorldPos()
{
	return (matworld * Position);
}
#endif

attribute	mediump	vec2	Coord0;
attribute 	lowp 	vec4	Color;
varying		mediump	vec2	vCoord0;
varying 	lowp 	float 	vAplha; 
void main()
{
	vCoord0		= Coord0;
	vAplha		= Color.a;
	setWVP();
}