
uniform highp   sampler2D texture0;
varying mediump vec2 texCoord;
uniform lowp float timeFactor;
const lowp vec4 vWeightsBW = vec4(0.3,0.59,0.11,0);
const lowp vec4 vWeightsSepia = vec4(0.9,0.7,0.3,1) * 0.6;
void main()
{
	lowp vec4 color = texture2D(texture0, texCoord);
	gl_FragColor = mix( color, dot(color, vWeightsBW) * vWeightsSepia, timeFactor);
}