
#define FOG
uniform sampler2D             MapDiffuseSampler;
varying	  highp	  vec2     vCoord0;
varying   lowp    vec4     vColor0;
#ifdef FOG
uniform lowp vec4 fogcolor;
varying lowp float fogFactor;
#endif 
void main()
{
	lowp vec4 diffuse = texture2D(MapDiffuseSampler, vCoord0, -1.0) * vColor0;
	
#ifdef FOG
     diffuse =  diffuse *  (1.0 - fogFactor);
#endif
  gl_FragColor = diffuse;
}