
uniform lowp    sampler2D texture1;
#ifdef SPLIT_ALPHA
uniform lowp    sampler2D texture1_alpha;
uniform lowp    int       texture1_alphachannel;
#endif
varying mediump vec2 vCoord0;
varying lowp vec4 vColor0;
void main()
{
#ifdef SPLIT_ALPHA
	
	lowp vec4 texColor1 = vec4(texture2D(texture1, vCoord0).rgb,
							 texture2D(texture1_alpha, vCoord0).r);
	
#else
    	lowp vec4 texColor1 = texture2D(texture1, vCoord0);
#endif
	gl_FragColor = texColor1 * vColor0;
}