
uniform lowp sampler2D texture0;
uniform lowp vec4 threshold;
varying mediump vec2 vCoord0;
varying mediump vec2 vCoord1;
varying mediump vec2 vCoord2;
varying mediump vec2 vCoord3;
varying mediump vec2 vCoord4;
void main()
{
	lowp vec4 b0 = texture2D(texture0, vCoord0);
	lowp vec4 b1 = texture2D(texture0, vCoord1);
	lowp vec4 b2 = texture2D(texture0, vCoord2);
	lowp vec4 b3 = texture2D(texture0, vCoord3);
	lowp vec4 b4 = texture2D(texture0, vCoord4);
	
	lowp vec4 color = (b0 + b1 + b2 + b3 + b4) * 0.2 - threshold;
	lowp float channelAverage = (color.r + color.g + color.b) * 0.33;
	
	color.r = max(0.0, channelAverage);
	color.g = color.r;
	color.b = color.r;
	
	gl_FragColor = color;
}