uniform lowp sampler2D TextureSampler;

varying highp vec2 vTexCoord0;
varying lowp vec4 vColor0;

void main()
{
	mediump vec4 color = texture2D(TextureSampler, vTexCoord0,-8.0);
	color *= vColor0;
	color.rgb /= color.a;

	gl_FragColor = color;
}
