uniform lowp sampler2D TextureSampler;
uniform lowp vec4 DiffuseColor;
uniform lowp vec2 MapPoint;

varying highp vec2 vTexCoord0;
varying lowp vec4 vColor0;

void main()
{
	lowp vec4 color = DiffuseColor;
	color.a *= texture2D(TextureSampler, vTexCoord0 - MapPoint).a;
	gl_FragColor = color;
}
