
uniform lowp sampler2D sampler0;
#ifdef SPLIT_ALPHA
uniform lowp    sampler2D sampler0_alpha;
#endif
varying mediump vec2 vTexCoord0;
varying mediump vec2 vTexCoord1;
varying mediump vec2 vTexCoord2;
varying mediump vec2 vTexCoord3;
varying lowp vec4 vColor0;
void main()
{
	#ifdef SPLIT_ALPHA			
		
		lowp vec4 c0 = vec4(texture2D(sampler0, vTexCoord0,-1.0).rgb, texture2D(sampler0_alpha, vTexCoord0,-1.0).r);
		lowp vec4 c1 = vec4(texture2D(sampler0, vTexCoord1,-1.0).rgb, texture2D(sampler0_alpha, vTexCoord1,-1.0).r);
		lowp vec4 c2 = vec4(texture2D(sampler0, vTexCoord2,-1.0).rgb, texture2D(sampler0_alpha, vTexCoord2,-1.0).r);
		lowp vec4 c3 = vec4(texture2D(sampler0, vTexCoord3,-1.0).rgb, texture2D(sampler0_alpha, vTexCoord3,-1.0).r);
		
	#else		
		lowp vec4 c0 = texture2D(sampler0, vTexCoord0,-1.0);
		lowp vec4 c1 = texture2D(sampler0, vTexCoord1,-1.0);
		lowp vec4 c2 = texture2D(sampler0, vTexCoord2,-1.0);
		lowp vec4 c3 = texture2D(sampler0, vTexCoord3,-1.0);
	#endif
	
	
	
	
	
	
	
	
	
	lowp vec3 lerpy012 = c0.rgb  + (c2.rgb - c0.rgb)* c2.a  + (c1.rgb - c0.rgb) * (c1.a - c1.a * c2.a);
	gl_FragColor = vec4(lerpy012 + (c3.rgb - lerpy012) * c3.a, 1.0);
}