
#ifdef USE_COLORCORECTION
	uniform lowp mat4 ColorMatrix;
#endif
uniform	lowp	sampler2D	MapDiffuseSampler;
#ifdef SPLIT_ALPHA
uniform lowp    sampler2D MapDiffuseSampler_alpha;
uniform lowp    int       MapDiffuseSampler_alphachannel;
#endif
uniform lowp vec3			Color_BC;
uniform mediump float 		Contrast;
#if defined(GHOST)
	uniform		lowp	vec4	DiffuseColor;
#endif
varying		mediump	vec2	vCoord0;
varying 	lowp 	float 	vAplha; 
void main()
{
	#ifdef SPLIT_ALPHA
		lowp vec3 DiffuseMapColor = texture2D(MapDiffuseSampler, vCoord0,-1.0).rgb;
	#else
		lowp vec3 DiffuseMapColor = texture2D(MapDiffuseSampler, vCoord0,-1.0).rgb;
	#endif	
	
	mediump vec3 done = DiffuseMapColor;
	#if defined(GHOST)
		gl_FragColor.rgb				= done * DiffuseColor.rgb;
		gl_FragColor.a					= DiffuseColor.a;
	#else
		lowp	float	factor 			= 1.0;
		gl_FragColor.rgb				= done * factor;
		gl_FragColor.a					= DiffuseMapColor.b * vAplha;
	#endif
#ifdef USE_COLORCORECTION
	gl_FragColor = ColorMatrix * gl_FragColor;
#endif
}