
uniform lowp   sampler2D texture1;
#ifdef SPLIT_ALPHA
uniform lowp    sampler2D texture1_alpha;
uniform lowp    int       texture1_alphachannel;
#endif
varying mediump vec2 vCoord0;
void main()
{
	#ifdef SPLIT_ALPHA
		
		lowp vec4 alphaCol = texture2D(texture1_alpha, vCoord0);			
		lowp float alpha = alphaCol.r;
		
		#ifdef SA_USE_CHANEL_ALPHA	
		if(texture1_alphachannel > 2)
			alpha = alphaCol.a;
		#endif
		
		gl_FragColor = vec4(texture2D(texture1, vCoord0).rgb, alpha);		
		
	#else
		gl_FragColor = texture2D(texture1, vCoord0);
	#endif
}