
/*
#define TEX0 LightmapSampler

#ifndef TEX0
	#define TEX0 DiffuseTexture
#endif
#ifdef SPLIT_ALPHA
	#ifndef TEX0_a
		#define TEX0_a DiffuseTexture_alpha
	#endif
	#ifndef TEX0_ac
		#define TEX0_ac DiffuseTexture_alphachannel
	#endif	
#endif
uniform		lowp	sampler2D	TEX0;
#ifdef SPLIT_ALPHA
	uniform lowp    sampler2D TEX0_a;
	uniform lowp    int       TEX0_ac;
#endif
#ifndef _TEXCOORD0
	#define _TEXCOORD0 texCoord0
#else
	#define DEFAULT_COORD_0
#endif
#ifndef NO_VAR
	varying		mediump	vec2 	_TEXCOORD0;
	lowp vec4	getTex0()
	{
		#ifdef SPLIT_ALPHA
			
			lowp vec4 alphaCol = texture2D(TEX0_a, _TEXCOORD0, -1.0);			
			lowp float alpha = alphaCol.r;
			
			if(TEX0_ac > 2)
				alpha = alphaCol.a;
			
			return vec4(texture2D(TEX0, _TEXCOORD0, -1.0).rgb, alpha); 
			
		#else
			return texture2D(TEX0, _TEXCOORD0, -1.0);
		#endif
	}
#else
	#ifdef DEFAULT_COORD_0
		lowp vec4	getTex0()
		{
			#ifdef SPLIT_ALPHA
				
				lowp vec4 alphaCol = texture2D(TEX0_a, _TEXCOORD0, -1.0);			
				lowp float alpha = alphaCol.r;
			
				#ifdef SA_USE_CHANEL_ALPHA
				if(TEX0_ac > 2)
					alpha = alphaCol.a;
				#endif	
				
				return vec4(texture2D(TEX0, _TEXCOORD0, -1.0).rgb, alpha); 
				
			#else
				return texture2D(TEX0, _TEXCOORD0, -1.0);
			#endif
		}
	#else
		lowp vec4	getTex0(mediump vec2 coord)
		{	
			#ifdef SPLIT_ALPHA				
				
				lowp vec4 alphaCol = texture2D(TEX0_a, coord, -1.0);			
				lowp float alpha = alphaCol.r;
			
				#ifdef SA_USE_CHANEL_ALPHA
				if(TEX0_ac > 2)
					alpha = alphaCol.a;
				#endif
					
				return vec4(texture2D(TEX0, coord, -1.0).rgb, alpha); 
				
			#else
				return texture2D(TEX0, coord, -1.0);
			#endif
		}
	#endif
#endif


#ifndef TEX1
   #define TEX1 DiffuseTexture1
#endif
#ifdef SPLIT_ALPHA
   #ifndef TEX1_a
      #define TEX1_a DiffuseTexture1_alpha
   #endif
   #ifndef TEX1_ac
      #define TEX1_ac DiffuseTexture1_alphachannel
   #endif   
#endif
uniform      lowp   sampler2D   TEX1;
#ifdef SPLIT_ALPHA
   uniform lowp    sampler2D TEX1_a;
   uniform lowp    int       TEX1_ac;
#endif
#ifndef _TEXCOORD1
   #define _TEXCOORD1 texCoord1
#else
   #define DEFAULT_COORD_1
#endif
#ifndef NO_VAR
   varying      mediump   vec2    _TEXCOORD1;
   lowp vec4   getTex1()
   {
      #ifdef SPLIT_ALPHA
      	
	lowp vec4 alphaCol = texture2D(TEX1_a, _TEXCOORD1, -1.0);			
	lowp float alpha = alphaCol.r;
	
	#ifdef SA_USE_CHANEL_ALPHA      
	if(TEX1_ac > 2)
		alpha = alphaCol.a;
	#endif	
	
        return vec4(texture2D(TEX1, _TEXCOORD1, -1.0).rgb, alpha);
	
      #else
         return texture2D(TEX1, _TEXCOORD1, -1.0);
      #endif      
   }
#else
   #ifdef DEFAULT_COORD_1
      lowp vec4   getTex1()
      {
      #ifdef SPLIT_ALPHA
	
	lowp vec4 alphaCol = texture2D(TEX1_a, _TEXCOORD1, -1.0);			
	lowp float alpha = alphaCol.r;
	
	#ifdef SA_USE_CHANEL_ALPHA	
	if(TEX1_ac > 2)
		alpha = alphaCol.a;
        #endif
	
	return vec4(texture2D(TEX1, _TEXCOORD1, -1.0).rgb, alpha);
	
         #else
            return texture2D(TEX1, _TEXCOORD1, -1.0);
         #endif
      }
   #else
      lowp vec4   getTex1(mediump vec2 coord)
      {
         #ifdef SPLIT_ALPHA
	
	lowp vec4 alphaCol = texture2D(TEX1_a, coord, -1.0);			
	lowp float alpha = alphaCol.r;
	
	#ifdef SA_USE_CHANEL_ALPHA	
	if(TEX1_ac > 2)
		alpha = alphaCol.a;
        #endif
	
	return vec4(texture2D(TEX1, coord, -1.0).rgb, alpha);
	
			     
         #else
            return texture2D(TEX1, coord, -1.0);
         #endif
      }
   #endif
#endif

#define NO_VAR
#define _TEXCOORD2 _TEXCOORD1
#define _TEXCOORD3 _TEXCOORD1

#ifndef TEX2
   #define TEX2 DiffuseTexture2
#endif
#ifdef SPLIT_ALPHA
   #ifndef TEX2_a
      #define TEX2_a DiffuseTexture2_alpha
   #endif
   #ifndef TEX2_ac
      #define TEX2_ac DiffuseTexture2_alphachannel
   #endif   
#endif
uniform      lowp   sampler2D   TEX2;
#ifdef SPLIT_ALPHA
   uniform lowp    sampler2D TEX2_a;
   uniform lowp    int       TEX2_ac;
#endif
#ifndef _TEXCOORD2
   #define _TEXCOORD2 texCoord2
#else
   #define DEFAULT_COORD_2
#endif
#ifndef NO_VAR
   varying      lowp   vec2    _TEXCOORD2;
   lowp vec4   getTex2()
   {
      #ifdef SPLIT_ALPHA
      	
	lowp vec4 alphaCol = texture2D(TEX2_a, _TEXCOORD2, -1.0);			
	lowp float alpha = alphaCol.r;
	
	#ifdef SA_USE_CHANEL_ALPHA		
	if(TEX2_ac > 2)
		alpha = alphaCol.a;
	#endif
	
         return vec4(texture2D(TEX2, _TEXCOORD2, -1.0).rgb, alpha);
	
      #else
         return texture2D(TEX2, _TEXCOORD2, -1.0);
      #endif      
   }
#else
   #ifdef DEFAULT_COORD_2
      lowp vec4   getTex2()
      {
         #ifdef SPLIT_ALPHA
	
	lowp vec4 alphaCol = texture2D(TEX2_a, _TEXCOORD2, -1.0);			
	lowp float alpha = alphaCol.r;
	
	#ifdef SA_USE_CHANEL_ALPHA		
	if(TEX2_ac > 2)
		alpha = alphaCol.a;
	#endif
		
        return vec4(texture2D(TEX2, _TEXCOORD2, -1.0).rgb, alpha);
      	
         #else
            return texture2D(TEX2, _TEXCOORD2, -1.0);
         #endif
      }
   #else
      lowp vec4   getTex2(mediump vec2 coord)
      {
         #ifdef SPLIT_ALPHA
        
	lowp vec4 alphaCol = texture2D(TEX2_a, coord, -1.0);			
	lowp float alpha = alphaCol.r;
	
	#ifdef SA_USE_CHANEL_ALPHA		
	if(TEX2_ac > 2)
		alpha = alphaCol.a;
	#endif
	
	return vec4(texture2D(TEX2, coord, -1.0).rgb, alpha);
      	
         #else
            return texture2D(TEX2, coord, -1.0);
         #endif
      }
   #endif
#endif


#ifndef TEX3
	#define TEX3 DiffuseTexture3
#endif
#ifdef SPLIT_ALPHA
   #ifndef TEX3_a
      #define TEX3_a DiffuseTexture3_alpha
   #endif
   #ifndef TEX3_ac
      #define TEX3_ac DiffuseTexture3_alphachannel
   #endif   
#endif
uniform		lowp	sampler2D	TEX3;
#ifdef SPLIT_ALPHA
   uniform lowp    sampler2D TEX3_a;
   uniform lowp    int       TEX3_ac;
#endif
#ifndef _TEXCOORD3
	#define _TEXCOORD3 texCoord3
#else
	#define DEFAULT_COORD_3
#endif
#ifndef NO_VAR
	varying		mediump	vec2 	_TEXCOORD3;
	lowp vec4	getTex3()
	{
		#ifdef SPLIT_ALPHA
		
		lowp vec4 alphaCol = texture2D(TEX3_a, _TEXCOORD3, -1.0);			
		lowp float alpha = alphaCol.r;
		
		#ifdef SA_USE_CHANEL_ALPHA	
		if(TEX3_ac > 2)
			alpha = alphaCol.a;
		#endif
		
		return vec4(texture2D(TEX3, _TEXCOORD3, -1.0).rgb, alpha);
		
		#else
			return texture2D(TEX3, _TEXCOORD3, -1.0);
		#endif   
	}
#else
	#ifdef DEFAULT_COORD_3
		lowp vec4	getTex3()
		{
			#ifdef SPLIT_ALPHA
			
			lowp vec4 alphaCol = texture2D(TEX3_a, _TEXCOORD3, -1.0);			
			lowp float alpha = alphaCol.r;
			
			#ifdef SA_USE_CHANEL_ALPHA
			if(TEX3_ac > 2)
				alpha = alphaCol.a;
			#endif
			
			return vec4(texture2D(TEX3, _TEXCOORD3, -1.0).rgb, alpha);
			
			#else
				return texture2D(TEX3, _TEXCOORD3, -1.0);
			#endif
		}
	#else
		lowp vec4	getTex3(lowp vec2 coord)
		{	
			#ifdef SPLIT_ALPHA
			
			lowp vec4 alphaCol = texture2D(TEX3_a, coord, -1.0);			
			lowp float alpha = alphaCol.r;
			
			#ifdef SA_USE_CHANEL_ALPHA
			if(TEX3_ac > 2)
				alpha = alphaCol.a;
			#endif
			
			return vec4(texture2D(TEX3, coord, -1.0).rgb, alpha);
			
			#else
				return texture2D(TEX3, coord, -1.0);
			#endif
		}
	#endif
#endif



#ifndef COLORBASE_F
#define COLORBASE_F
#define setPixel setColor
void setColor(lowp vec4 c)
{
	gl_FragColor = c;	
}
#endif

varying		lowp	vec4 	vertColor;
lowp vec4	getColor()
{
	return vertColor;
}

/**/
uniform		highp	sampler2D	LightmapSampler;
uniform		highp	sampler2D	DiffuseTexture1;
uniform		highp	sampler2D	DiffuseTexture2;
uniform		highp	sampler2D	DiffuseTexture3;
varying		highp	vec2 	texCoord0;
varying		highp	vec2 	texCoord1;
varying		lowp	vec4 	vertColor;
void main()
{
	
	highp vec4 lm = texture2D(LightmapSampler, texCoord1, -1.0) * 2.0;
	highp vec4 t0 = texture2D(DiffuseTexture1, texCoord0, -1.0);
	highp vec4 t1 = texture2D(DiffuseTexture2, texCoord0, -1.0);
	highp vec4 t2 = texture2D(DiffuseTexture3, texCoord0, -1.0);
	
	highp float f1 = 1.0 - t0.a * vertColor.r;
	highp float f2 = 1.0 - t1.a * vertColor.g;
	
	t1.rgb = t1.rgb + (t2.rgb - t1.rgb) * f2;
	t0.rgb = t0.rgb + (t1.rgb - t0.rgb) * f1;
	
#ifdef USE_BLEND
	t0.a = 1.0 + (t2.a - 1.0) * vertColor.b;
#else
	t0.a = 1.0;
#endif
/**/
	gl_FragColor = t0 * lm;
	
	/**/
}